<?php        
	include("../app/models/connect.php");

    $id_user = $_POST["id_user"];
    $tiempo = $_POST["tiempo"];
    $porcentaje = $_POST["porcentaje"];
    $reto = $_POST["reto"];
    $tipo_juego = $_POST["tipo_juego"];
    $dia = $_POST["dia"];
    $hoy = date("Y-m-d H:i:s");

    $queryVald = mysqli_query($connect,"SELECT * FROM Retos WHERE id_asistente = '".$id_user."' AND reto = '".$reto."' AND tipo_juego = '".$tipo_juego."'  ");
    if($queryVald->num_rows == 0){
        $query = mysqli_query($connect,"INSERT INTO Retos (id_asistente, tiempo, porcentaje, reto, tipo_juego, dia, created_at) 
        VALUES 
        ( ".$id_user.", ".$tiempo.", ".$porcentaje.", '".$reto."', '".$tipo_juego."', '".$dia."', '".$hoy."' )");
    }
?>